{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    " R ",
    " R ",
    " H "
  ],
  "key": {
    "R": {
      "item": "mekanism:enriched_diamond",
      "data": 0
    },
    "H": {
      "item": "mekanism:hdpe_rod",
      "data": 0
    }
  },
  "result": {
    "item": "vampiresneedumbrellas:diamond_umbrella_rod",
    "count": 2
  }
}